-- 基础信息
base_info = {
	group_id = 247009022
}

-- DEFS_MISCS
local GroupId = 247009022
local point_id_list = {}
local MainGroupID = 247009001
local RegionID = 22001

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
}

-- 区域
regions = {
	{ config_id = 22001, shape = RegionShape.CUBIC, size = { x = 40.000, y = 25.000, z = 40.000 }, pos = { x = -0.003, y = 0.050, z = 80.017 } }
}

-- 触发器
triggers = {
	{ config_id = 1022001, name = "ENTER_REGION_22001", event = EventType.EVENT_ENTER_REGION, source = "", condition = "", action = "" }
}

-- 点位
points = {
	{ config_id = 22002, pos = { x = -3.937, y = 0.107, z = 89.760 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 22003, pos = { x = 4.147, y = 0.105, z = 89.706 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 22004, pos = { x = 0.042, y = 0.101, z = 90.651 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 22005, pos = { x = -7.114, y = 0.121, z = 88.545 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 16 },
	{ config_id = 22006, pos = { x = 7.107, y = 0.115, z = 88.104 }, rot = { x = 0.000, y = 210.000, z = 0.000 }, tag = 16 },
	{ config_id = 22007, pos = { x = -8.334, y = 0.105, z = 85.823 }, rot = { x = 0.000, y = 110.000, z = 0.000 }, tag = 16 },
	{ config_id = 22008, pos = { x = 8.774, y = 0.110, z = 85.839 }, rot = { x = 0.000, y = 250.000, z = 0.000 }, tag = 16 },
	{ config_id = 22009, pos = { x = -8.585, y = 0.100, z = 82.117 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 16 },
	{ config_id = 22010, pos = { x = 8.875, y = 0.108, z = 82.133 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 16 },
	{ config_id = 22011, pos = { x = 0.077, y = 0.115, z = 90.072 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 32 },
	{ config_id = 22012, pos = { x = -5.708, y = 0.126, z = 89.140 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 32 },
	{ config_id = 22013, pos = { x = 5.768, y = 0.100, z = 89.106 }, rot = { x = 0.000, y = 210.000, z = 0.000 }, tag = 32 },
	{ config_id = 22014, pos = { x = -8.652, y = 0.108, z = 84.461 }, rot = { x = 0.000, y = 100.000, z = 0.000 }, tag = 32 },
	{ config_id = 22015, pos = { x = 8.898, y = 0.106, z = 84.466 }, rot = { x = 0.000, y = 260.000, z = 0.000 }, tag = 32 },
	{ config_id = 22016, pos = { x = -8.638, y = 0.102, z = 79.576 }, rot = { x = 0.000, y = 80.000, z = 0.000 }, tag = 32 },
	{ config_id = 22017, pos = { x = 8.804, y = 0.101, z = 79.631 }, rot = { x = 0.000, y = 280.000, z = 0.000 }, tag = 32 },
	{ config_id = 22018, pos = { x = -5.660, y = 0.100, z = 74.909 }, rot = { x = 0.000, y = 30.000, z = 0.000 }, tag = 32 },
	{ config_id = 22019, pos = { x = 5.698, y = 0.100, z = 74.824 }, rot = { x = 0.000, y = 330.000, z = 0.000 }, tag = 32 },
	{ config_id = 22020, pos = { x = -0.021, y = 0.100, z = 74.029 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 32 },
	{ config_id = 22021, pos = { x = -7.137, y = 0.142, z = 87.199 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 64 },
	{ config_id = 22022, pos = { x = 7.143, y = 0.117, z = 87.202 }, rot = { x = 0.000, y = 210.000, z = 0.000 }, tag = 64 },
	{ config_id = 22023, pos = { x = -7.135, y = 0.100, z = 72.848 }, rot = { x = 0.000, y = 30.000, z = 0.000 }, tag = 64 },
	{ config_id = 22024, pos = { x = 7.066, y = 0.100, z = 72.926 }, rot = { x = 0.000, y = 330.000, z = 0.000 }, tag = 64 },
	{ config_id = 22025, pos = { x = 0.168, y = 0.117, z = 87.447 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 64 },
	{ config_id = 22026, pos = { x = -0.030, y = 0.100, z = 72.690 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 64 },
	{ config_id = 22027, pos = { x = -8.112, y = 0.101, z = 80.021 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 64 },
	{ config_id = 22028, pos = { x = 8.264, y = 0.103, z = 79.986 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 64 },
	{ config_id = 22029, pos = { x = -8.007, y = 0.102, z = 75.957 }, rot = { x = 0.000, y = 60.000, z = 0.000 }, tag = 64 },
	{ config_id = 22030, pos = { x = 7.961, y = 0.109, z = 83.395 }, rot = { x = 0.000, y = 240.000, z = 0.000 }, tag = 64 },
	{ config_id = 22031, pos = { x = 3.400, y = 0.100, z = 72.373 }, rot = { x = 0.000, y = 330.000, z = 0.000 }, tag = 64 },
	{ config_id = 22032, pos = { x = -3.852, y = 0.126, z = 87.295 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 64 },
	{ config_id = 22033, pos = { x = -2.398, y = 0.100, z = 82.749 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 128 },
	{ config_id = 22034, pos = { x = -0.608, y = 0.100, z = 82.749 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 128 },
	{ config_id = 22035, pos = { x = 1.092, y = 0.100, z = 82.749 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 128 },
	{ config_id = 22036, pos = { x = 2.882, y = 0.100, z = 82.749 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 128 },
	{ config_id = 22037, pos = { x = -4.149, y = 0.100, z = 84.613 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 128 },
	{ config_id = 22038, pos = { x = -2.360, y = 0.100, z = 84.613 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 128 },
	{ config_id = 22039, pos = { x = -0.660, y = 0.100, z = 84.613 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 128 },
	{ config_id = 22040, pos = { x = 1.130, y = 0.100, z = 84.613 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 128 },
	{ config_id = 22041, pos = { x = 2.656, y = 0.100, z = 84.613 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 128 },
	{ config_id = 22042, pos = { x = 4.446, y = 0.100, z = 84.613 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 128 },
	{ config_id = 22044, pos = { x = 0.076, y = 0.050, z = 85.202 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 256 }
}

-- 变量
variables = {
}

-- 废弃数据
garbages = {
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { },
		regions = { 22001 },
		triggers = { "ENTER_REGION_22001" },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "V2_2/RogueDungeon_Require"
